# SortOrder

enum SortOrder

Defines the sort order for components and artifacts produced by the configuration.

#### Since

3.5

#### See also

sortArtifacts(SortOrder)

## Entries

DEFAULT
Link copied to clipboard
DEFAULT
CONSUMER_FIRST
Link copied to clipboard
CONSUMER_FIRST
DEPENDENCY_FIRST
Link copied to clipboard
DEPENDENCY_FIRST

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): ResolutionStrategy.SortOrder

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<ResolutionStrategy.SortOrder>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.